« openssl 0.9.8 ついにリリース | トップページ | mod_ssl 2.8.23 がリリースされました »

2005.07.07

openssl 0.9.8 + apache2


openssl 0.9.8 を入れてみて・・・

openssh 4.1 はすんなりOK。
んでも apache2.0 , apache2.1 でコンパイルが通らないッス。

調べてみると $OPENSSL_DIR/include/openssh/pem.h で 0.9.7 では
#define PEM_F_DEF_CALLBACK 100
の定義が 0.9.8 では
#define PEM_F_PEM_DEF_CALLBACK 100
に変わってました。

・・・どうなのよそれ。
PEM_F_PEM_DEF_CALLBACK って PEM PEM うるさいな・・と思うのはおいらだけでしょうか?ってうるさいとかそういう問題じゃないんですが(笑)。
力技で pem.h に 0.9.7 での定義を追加するとコンパイルは通るけど・・・。

これは apache2 が対応すべき箇所なのかopenssl側で対処すべきなのか・・・。
んまぁ〜、しばらくしたら明るみになるだろうから、もうちっと様子見かな?

|

« openssl 0.9.8 ついにリリース | トップページ | mod_ssl 2.8.23 がリリースされました »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/4540/4865681

この記事へのトラックバック一覧です: openssl 0.9.8 + apache2:

« openssl 0.9.8 ついにリリース | トップページ | mod_ssl 2.8.23 がリリースされました »